# Interface StringType

Type of a string

#### Category

Elementary types

#### Hierarchy

- StringType

- Defined in codec/lib/format/types.ts:153

#####
Index

### Properties

location?
typeClass
typeHint?

## Properties

### `Optional` location

location?: Location

- Defined in codec/lib/format/types.ts:155

### typeClass

typeClass: "string"

- Defined in codec/lib/format/types.ts:154

### `Optional` typeHint

typeHint?: string

- Defined in codec/lib/format/types.ts:156

Generated using TypeDoc